---
title: Cryptography
slug: Glossary/Cryptography
tags:
  - Cryptography
  - Glossary
  - Privacy
  - Security
---
**Cryptography**, or cryptology, is the science that studies how to encode and transmit messages securely. Cryptography designs and studies algorithms used to encode and decode messages in an insecure environment, and their applications.

More than just **data confidentiality**, cryptography also tackles **identification**, **authentication**, **non-repudiation**, and **data integrity**. Therefore it also studies usage of cryptographic methods in context, **cryptosystems**.

## See also

- {{Interwiki("wikipedia", "Cryptography")}} on Wikipedia
- [Information security tutorial](/en-US/docs/Web/Security/Information_Security_Basics)
- [Encrypting and Decrypting](/en-US/docs/Archive/Security/Encryption_and_Decryption)
- [MDN Web Docs Glossary](/en-US/docs/Glossary)

  - {{Glossary("Block cipher mode of operation")}}
  - {{Glossary("Cipher")}}
  - {{Glossary("Ciphertext")}}
  - {{Glossary("Cipher suite")}}
  - {{Glossary("Cryptanalysis")}}
  - {{Glossary("Cryptography")}}
  - {{Glossary("Decryption")}}
  - {{Glossary("Encryption")}}
  - {{Glossary("Key")}}
  - {{Glossary("Plaintext")}}
  - {{Glossary("Public-key cryptography")}}
  - {{Glossary("Symmetric-key cryptography")}}
