---
title: Internationalization
slug: Glossary/Internationalization_and_localization
tags:
  - Glossary
  - Internationalization
  - Reference
---
**Internationalization**, often shortened to "[i18n](/en-US/docs/Glossary/I18N)", is the adapting of a web site or web application to different languages, regional differences, and technical requirements for different regions and countries. Internationalization is the process of architecting your web application so that it can be quickly and easily adapted to various languages and regions without much engineering effort when new languages and regions are supported. Also so that a user can browse features to translate or localize the application to access all the content without breaking the layout.

Internationalization includes support for multiple character sets (usually via [Unicode](https://searchcio-midmarket.techtarget.com/definition/Unicode)), units of measure ([currency](/en-US/docs/Web/API/PaymentCurrencyAmount), °C/°F, km/miles, etc.), date and time formats, keyboard layouts, and layout and text directions.

## See also

- [Internationalization extension](/en-US/docs/Mozilla/Add-ons/WebExtensions/Internationalization)
- [Internationalization API](/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl)
- [Flexbox](/en-US/docs/Learn/CSS/CSS_layout/Flexbox) and [Grid layout](/en-US/docs/Web/CSS/CSS_Grid_Layout/Basic_Concepts_of_Grid_Layout)
