---
title: SPA (Single-page application)
slug: Glossary/SPA
tags:
  - Glossary
  - SPA
  - single-page app
---
An SPA (Single-page application) is a web app implementation that loads only a single web document, and then updates the body content of that single document via JavaScript APIs such as {{domxref("XMLHttpRequest")}} and [Fetch](/en-US/docs/Web/API/Fetch_API) when different content is to be shown.

This therefore allows users to use websites without loading whole new pages from the server, which can result in performance gains and a more dynamic experience, with some tradeoff disadvantages such as SEO, more effort required to maintain state, implement navigation, and do meaningful performance monitoring.

## See also

- {{Interwiki("wikipedia", "Single-page application")}} (Wikipedia)
- [Understanding client-side JavaScript frameworks](/en-US/docs/Learn/Tools_and_testing/Client-side_JavaScript_frameworks)
- [Glossary](/en-US/docs/Glossary)

  - {{Glossary("API")}}
  - {{Glossary("AJAX")}}
  - {{Glossary("JavaScript")}}

- Popular SPA frameworks:

  - [React](https://reactjs.org/)
  - [Angular](https://angular.io/)
  - [Vue.JS](https://vuejs.org/)
