---
title: Editorial policies
slug: MDN/Guidelines/Editorial
tags:
  - Documentation
  - MDN
  - MDN Meta
  - Writing
---
{{MDNSidebar}}

This article describes the policies set by the Mozilla MDN staff to govern the content on MDN web docs. All contributors to MDN web docs are expected to abide by these policies.

## Relevance

All content on MDN must be relevant to the technology section in which it appears. Spam (commercial advertisement) and other irrelevant content will never be accepted onto the site. Contributors who keep trying to submit spam may be banned from MDN at the discretion of Mozilla staff.

Outbound links to commercial sites that are relevant to the topic from which they are linked will be judged on a case-by-case basis. Their value in aiding web developers must outweigh the commercial benefit to the linked site.

## Neutrality

Article content on MDN must maintain a [neutral point-of-view](https://en.wikipedia.org/wiki/Wikipedia:Neutral_point_of_view), reporting on browser variations without editorial bias. Derogatory comments about any browser or user agent is not acceptable.

### Open web topics

MDN web docs contains _browser-neutral_ documentation that enables web developers to write _browser-agnostic_ code.

Web technologies to be documented on MDN should be on a standards track, and be implemented by at least one rendering engine. Variations in browser support are documented in the [browser compatibility](/en-US/docs/MDN/Structures/Compatibility_tables) section of an article.

### Mozilla-specific sections

Note that Mozilla-specific sections of MDN need not be browser-neutral, as they are concerned with Mozilla-specific content; however, they must still maintain a neutral point-of-view and avoid derogatory remarks about other products.

## Structure

Reference pages should follow the same structure as other pages of the same type. See [Page Types](/en-US/docs/MDN/Structures/Page_types) for a list and examples of common page structures.

## Guidelines

Contributors are expected to follow the [MDN guidelines](/en-US/docs/MDN/Guidelines) for writing style, code samples, and other topics.
