---
title: 'ARIA: roletype role'
slug: Web/Accessibility/ARIA/Roles/roletype_role
tags: 
  - roletype
  - Accessibility
  - ARIA
  - roles
  - Reference
  - ARIA roles
---



The **`roletype`** role, an [abstract role](/en-US/docs/Web/Accessibility/ARIA/Roles/#Abstract_roles), is the base role from which all other ARIA roles inherit.

> **Note:**  The `roletype` role is an abstract role used for the ontology. It is included here for completeness of documentation. It should not be used by web authors.

## Description

The `roletype` role's properties describe the structural and functional purpose of objects that are assigned this role, or "instances". A role is a concept that can be used to understand and operate instances.
Note

## Best Practices

Do not use.

## Specifications

| Specification                                                                                                                    | Status                                           |
| -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| {{SpecName("ARIA","#roletype","ARIA: roletype role")}}                                             | {{Spec2('ARIA')}}                         |

## See Also

- [ARIA: `structure` role](/en-US/docs/Web/Accessibility/ARIA/Roles/structure_role)
- [ARIA: `widget` role](/en-US/docs/Web/Accessibility/ARIA/Roles/widget_role)
- [ARIA: `window` role](/en-US/docs/Web/Accessibility/ARIA/Roles/window_role)
- The HTML [`rel`](/en-US/docs/Web/HTML/Attributes/rel) attribute

<section id="Quick_links">

1. [**WAI-ARIA roles**](/en-US/docs/Web/Accessibility/ARIA/Roles)

    {{ListSubpagesForSidebar("/en-US/docs/Web/Accessibility/ARIA/Roles")}}

</section>
