---
title: CSSScale.z
slug: Web/API/CSSScale/z
tags:
  - API
  - CSS Typed Object Model API
  - CSSScale
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Property
browser-compat: api.CSSScale.z
---
{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}

The **`z`** property of the
{{domxref("CSSScale")}} interface representing the z-component of the translating
vector. A positive value moves the element towards the viewer, and a negative value
farther away.

If this value is present then the transform is a 3D transform and the `is2D`
property will be set to false.

## Syntax

```js
var scaleZ = CSSScale.z;
```

### Value

A double integer or a {{domxref("CSSNumericValue")}}

## Examples

To Do

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
