---
title: 'DeviceMotionEventAcceleration: z'
slug: Web/API/DeviceMotionEventAcceleration/z
tags:
  - API
  - DeviceAcceleration
  - NeedsExample
  - Property
  - Reference
browser-compat: api.DeviceMotionEventAcceleration.z
---
{{ APIRef("Device Orientation Events") }}

## Summary

This read-only property indicates the amount of acceleration that occurred along the Z
axis in a [`DeviceMotionEventAcceleration`](/en-US/docs/Web/API/DeviceMotionEventAcceleration)
object.

## Syntax

```js
var zAccel = DeviceMotionEventAcceleration.z;
```

### Return value

- `z`
  - : A `double` indicating the amount of acceleration along the Z axis. See [Accelerometer values
    explained](/en-US/docs/Web/API/Detecting_device_orientation) for details.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [`DeviceMotionEventAcceleration.x`](/en-US/docs/Web/API/DeviceMotionEventAcceleration.x)
- [`DeviceMotionEventAcceleration.y`](/en-US/docs/Web/API/DeviceMotionEventAcceleration.y)
