---
title: 'DeviceMotionEventRotationRate: alpha'
slug: Web/API/DeviceMotionEventRotationRate/alpha
tags:
  - API
  - Device Orientation
  - Intermediate
  - Mobile
  - Motion
  - Orientation
  - Reference
browser-compat: api.DeviceMotionEventRotationRate.alpha
---
{{ ApiRef("Device Orientation Events") }}

This property indicates the rate of rotation around the Z axis -- in degrees per second
\-- in a {{ domxref("DeviceMotionEventRotationRate") }} object.

## Syntax

```js
var alpha = deviceRotationRate.alpha;
```

This property is read-only.

### Return value

- `alpha`
  - : A `double` indicating the rate of rotation around the Z axis, in degrees
    per second. See [Accelerometer
    values explained](/en-US/docs/Web/API/Detecting_device_orientation#accelerometer_values_explained) for details.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
