---
title: 'DeviceMotionEventRotationRate: beta'
slug: Web/API/DeviceMotionEventRotationRate/beta
tags:
  - API
  - Device Orientation
  - Intermediate
  - Mobile
  - Motion
  - Orientation
  - Reference
browser-compat: api.DeviceMotionEventRotationRate.beta
---
{{ ApiRef("Device Orientation Events") }}

This property indicates the rate of rotation around the X axis -- in degrees per second
\-- in a {{ domxref("DeviceMotionEventRotationRate") }} object.

## Syntax

```js
var beta = deviceRotationRate.beta;
```

This property is read-only.

### Return value

- `beta`
  - : A `double` indicating the rate of rotation around the X axis, in degrees
    per second. See [Accelerometer
    values explained](/en-US/docs/Web/API/Detecting_device_orientation#accelerometer_values_explained) for details.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
