---
title: 'Element: touchstart event'
slug: Web/API/Element/touchstart_event
tags:
  - Event
  - Touch Events
  - TouchEvent
  - UI
  - UI Events
  - UX
  - touch
  - touchstart
browser-compat: api.Element.touchstart_event
---
{{APIRef}}

The `touchstart` event is fired when one or more touch points are placed on the touch surface.

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Bubbles</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Cancelable</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Interface</th>
      <td>{{domxref("TouchEvent")}}</td>
    </tr>
    <tr>
      <th scope="row">Event handler property</th>
      <td>
        {{ domxref("GlobalEventHandlers.ontouchstart","ontouchstart")}}
      </td>
    </tr>
  </tbody>
</table>

## Examples

Code samples for those events are available on the dedicated page: [Touch events](/en-US/docs/Web/API/Touch_events).

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Touch events](/en-US/docs/Web/API/Touch_events)
- This event on {{domxref("Document")}} targets: {{domxref("Document/touchstart_event", "touchstart")}}
