---
title: FileSystem.root
slug: Web/API/FileSystem/root
tags:
  - API
  - File and Directory Entries API
  - Files
  - NeedsExample
  - Property
  - Reference
  - filesystem
  - root
browser-compat: api.FileSystem.root
---
{{APIRef("File and Directory Entries API")}}

The read-only **`root`** property of the
{{domxref("FileSystem")}} interface specifies a {{domxref("FileSystemDirectoryEntry")}}
object representing the root directory of the file system, for use with the [File and Directory Entries
API](/en-US/docs/Web/API/File_and_Directory_Entries_API).

## Syntax

```js
var rootDirEnt = FileSystem.root;
```

### Value

A {{domxref("FileSystemDirectoryEntry")}} representing the file system's root
directory.

## Example

```js
// tbd
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [File and Directory
  Entries API](/en-US/docs/Web/API/File_and_Directory_Entries_API)
- [Introduction
  to the File System API](/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction)
- {{domxref("FileSystem")}}
