---
title: HTMLIFrameElement.csp
slug: Web/API/HTMLIFrameElement/csp
tags:
  - API
  - CSP
  - Content Security Policy
  - HTML DOM
  - HTMLIFrameElement
  - Property
  - Reference
browser-compat: api.HTMLIFrameElement.csp
---
{{SeeCompatTable}}{{APIRef("HTML DOM")}}

The **`csp`** property of the {{domxref("HTMLIFrameElement")}}
interface specifies the [Content Security Policy](/en-US/docs/Web/HTTP/CSP) that an
embedded document must agree to enforce upon itself.

## Syntax

```js
var csp = HTMLIFrameElement.csp
HTMLIFrameElement.csp = csp
```

### Value

A content security policy.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
