---
title: HTMLQuoteElement
slug: Web/API/HTMLQuoteElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
browser-compat: api.HTMLQuoteElement
---
{{APIRef("HTML DOM")}}

The **`HTMLQuoteElement`** interface provides special properties and methods (beyond the regular {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating quoting elements, like {{HTMLElement("blockquote")}} and {{HTMLElement("q")}}, but not the {{HTMLElement("cite")}} element.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}._

- {{domxref("HTMLQuoteElement.cite")}}
  - : Is a {{domxref("DOMString")}} reflecting the {{htmlattrxref("cite", "blockquote")}} HTML attribute, containing a URL for the source of the quotation.

## Methods

_No specific method; inherits properties from its parent, {{domxref("HTMLElement")}}._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The HTML elements implementing this interface: {{HTMLElement("blockquote")}} and {{HTMLElement("q")}}, but not {{HTMLElement("cite")}}.
