---
title: HTMLTimeElement
slug: Web/API/HTMLTimeElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
browser-compat: api.HTMLTimeElement
---
{{ APIRef("HTML DOM") }}

The **`HTMLTimeElement`** interface provides special properties (beyond the regular {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating {{HTMLElement("time")}} elements.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}._

- {{domxref("HTMLTimeElement.dateTime")}}
  - : Is a {{domxref("DOMString")}} that reflects the {{ htmlattrxref("datetime", "time") }} HTML attribute, containing a machine-readable form of the element's date and time value.

## Methods

_No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The HTML element implementing this interface: {{HTMLElement("time")}}.
