---
title: PasswordCredential.iconURL
slug: Web/API/PasswordCredential/iconURL
tags:
  - API
  - Credential Management API
  - NeedsExample
  - PasswordCredential
  - Property
  - Reference
  - credential management
browser-compat: api.PasswordCredential.iconURL
---
{{SeeCompatTable}}{{APIRef("Credential Management API")}}

The **`iconURL`** read-only property
of the {{domxref("PasswordCredential")}} interface returns a {{domxref("USVString")}}
containing a URL pointing to an image for an icon. This image is intended for display
in a credential chooser. The URL must be accessible without authentication.

## Syntax

```js
url = passwordCredential.iconURL
```

### Value

A {{domxref("USVString")}} containing a URL.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
