---
title: Performance.timeOrigin
slug: Web/API/Performance/timeOrigin
tags:
  - API
  - Experimental
  - High Resolution Time API
  - Performance
  - Property
  - Reference
  - timeOrigin
browser-compat: api.Performance.timeOrigin
---
{{SeeCompatTable}}{{APIRef("High Resolution Time")}}

The **`timeOrigin`** read-only property of the
{{domxref("Performance")}} interface returns the high resolution timestamp of the
start time of the performance measurement.

{{AvailableInWorkers}}

## Syntax

```js
var timeOrigin = performance.timeOrigin
```

### Value

A high resolution timestamp.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
