---
title: XMLDocument
slug: Web/API/XMLDocument
tags:
  - API
  - DOM
  - Interface
  - Reference
  - XMLDocument
browser-compat: api.XMLDocument
---
{{APIRef("DOM")}}

The **XMLDocument** interface represents an XML document. It inherits from the generic {{DOMxRef("Document")}} and does not add any specific methods or properties to it: nevertheless, several algorithms behave differently with the two types of documents.

{{InheritanceDiagram}}

## Property

_Also inherits properties from: {{DOMxRef("Document")}}_

- {{DOMxRef("XMLDocument.async")}} {{Non-standard_Inline}} {{Deprecated_Inline}}
  - : Used with {{DOMxRef("XMLDocument.load()")}} to indicate an asynchronous request.

## Methods

_Also inherits methods from: {{DOMxRef("Document")}}_

- {{DOMxRef("XMLDocument.load()")}} {{Non-standard_Inline}} {{Deprecated_Inline}}
  - : Loads an XML document.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [The DOM interfaces index.](/en-US/docs/DOM/DOM_Reference)
