---
title: XRWebGLBinding.nativeProjectionScaleFactor
slug: Web/API/XRWebGLBinding/nativeProjectionScaleFactor
tags:
  - API
  - Property
  - Reference
  - VR
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
browser-compat: api.XRWebGLBinding.nativeProjectionScaleFactor
---
{{APIRef("WebXR Device API")}}

The read-only **`nativeProjectionScaleFactor`** property of the {{domxref("XRWebGLBinding")}} interface represents the scaling factor by which the projection layer's resolution is multiplied by to get the native resolution of the WebXR device's frame buffer.

For more details, see {{domxref("XRWebGLLayer.getNativeFramebufferScaleFactor()")}}.

## Value

A floating-point number representing by how much the devices's native frame buffer size is scaled by.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{domxref("XRWebGLLayer.getNativeFramebufferScaleFactor()")}}
