---
title: '::-webkit-search-results-button'
slug: Web/CSS/::-webkit-search-results-button
tags:
  - CSS
  - NeedsExample
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
browser-compat: css.selectors.-webkit-search-results-button
---
{{CSSRef}}{{Non-standard_header}}

The **`::-webkit-search-results-button`** CSS [pseudo-element](/en-US/docs/Web/CSS/Pseudo-elements) represents a button (the "search results button") at the left edge of an {{HTMLElement("input")}} of `type="search"` which when clicked displays a menu which allows the user to choose from previous recent search queries. This button and pseudo-element are non-standard, supported only in WebKit and Blink, hence the vendor prefix. The search results button is only shown on search {{HTMLElement("input")}} elements that have a [`results`](/en-US/docs/Web/HTML/Element/input#attr-results) attribute.

## Syntax

```css
 selector::-webkit-search-results-button
```

## Specifications

Not part of any standard.

## Browser compatibility

{{Compat}}

## See also

- {{cssxref('::-webkit-search-cancel-button')}}
