---
title: <angle-percentage>
slug: Web/CSS/angle-percentage
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Reference
  - angle-percentage
  - units
  - values
browser-compat: css.types.angle-percentage
---
{{CSSRef}}

The **`<angle-percentage>`** [CSS](/en-US/docs/Web/CSS) [data type](/en-US/docs/Web/CSS/CSS_Types) represents a value that can be either a {{Cssxref("angle")}} or a {{Cssxref("percentage")}}.

## Syntax

Refer to the documentation for {{Cssxref("angle")}} and {{Cssxref("percentage")}} for details of the individual syntaxes allowed by this type.

## Use in calc()

Where an `<angle-percentage>` is specified as an allowable type, this means that the percentage resolves to an angle and therefore can be used in a {{Cssxref("calc", "calc()")}} expression.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [CSS data types](/en-US/docs/Web/CSS/CSS_Types)
- [Using CSS gradients](/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients)
- [`conic-gradient()`](/en-US/docs/Web/CSS/gradient/conic-gradient()) and [`repeating-conic-gradient()`](/en-US/docs/Web/CSS/gradient/repeating-conic-gradient())
