---
title: Compositing and Blending
slug: Web/CSS/Compositing_and_Blending
tags:
  - CSS
  - Compositing and Blending
  - Guide
  - Overview
  - Reference
spec-urls: https://drafts.fxtf.org/compositing-1/
---
{{CSSRef}}

**Compositing and Blending** is a CSS module that defines how shapes of different elements are combined into a single image.

## Reference

### Properties

- {{cssxref("background-blend-mode")}}
- {{cssxref("isolation")}}
- {{cssxref("mix-blend-mode")}}

### Data types

- {{cssxref("&lt;blend-mode&gt;")}}

## Specifications

{{Specifications}}

## Browser compatibility

### `background-blend-mode` property

{{Compat("css.properties.background-blend-mode")}}

### `isolation` property

{{Compat("css.properties.isolation")}}

### `mix-blend-mode` property

{{Compat("css.properties.mix-blend-mode")}}
