---
title: CSS Properties Reference
slug: Web/CSS/CSS_Properties_Reference
tags:
  - CSS
  - Guide
  - Style
---
## Common CSS Properties Reference

The following is a basic list of the most common CSS properties with the equivalent of the DOM notation which is usually accessed from JavaScript:

> **Note:** This list is incomplete. For more CSS properties see The [main CSS reference](/en-US/docs/Web/CSS/Reference) and [Mozilla CSS Extensions](/en-US/docs/Web/CSS/Mozilla_Extensions). The reference articles also include examples on how to use all the properties.

| **CSS**                                                              | **JavaScript**       |
| -------------------------------------------------------------------- | -------------------- |
| [background](/en-US/docs/Web/CSS/background)                         | background           |
| [background-attachment](/en-US/docs/Web/CSS/background-attachment)   | backgroundAttachment |
| [background-color](/en-US/docs/Web/CSS/background-color)             | backgroundColor      |
| [background-image](/en-US/docs/Web/CSS/background-image)             | backgroundImage      |
| [background-position](/en-US/docs/Web/CSS/background-position)       | backgroundPosition   |
| [background-repeat](/en-US/docs/Web/CSS/background-repeat)           | backgroundRepeat     |
| [border](/en-US/docs/Web/CSS/border)                                 | border               |
| [border-bottom](/en-US/docs/Web/CSS/border-bottom)                   | borderBottom         |
| [border-bottom-color](/en-US/docs/Web/CSS/border-bottom-color)       | borderBottomColor    |
| [border-bottom-style](/en-US/docs/Web/CSS/border-bottom-style)       | borderBottomStyle    |
| [border-bottom-width](/en-US/docs/Web/CSS/border-bottom-width)       | borderBottomWidth    |
| [border-color](/en-US/docs/Web/CSS/border-color)                     | borderColor          |
| [border-left](/en-US/docs/Web/CSS/border-left)                       | borderLeft           |
| [border-left-color](/en-US/docs/Web/CSS/border-left-color)           | borderLeftColor      |
| [border-left-style](/en-US/docs/Web/CSS/border-left-style)           | borderLeftStyle      |
| [border-left-width](/en-US/docs/Web/CSS/border-left-width)           | borderLeftWidth      |
| [border-right](/en-US/docs/Web/CSS/border-right)                     | borderRight          |
| [border-right-color](/en-US/docs/Web/CSS/border-right-color)         | borderRightColor     |
| [border-right-style](/en-US/docs/Web/CSS/border-right-style)         | borderRightStyle     |
| [border-right-width](/en-US/docs/Web/CSS/border-right-width)         | borderRightWidth     |
| [border-style](/en-US/docs/Web/CSS/border-style)                     | borderStyle          |
| [border-top](/en-US/docs/Web/CSS/border-top)                         | borderTop            |
| [border-top-color](/en-US/docs/Web/CSS/border-top-color)             | borderTopColor       |
| [border-top-style](/en-US/docs/Web/CSS/border-top-style)             | borderTopStyle       |
| [border-top-width](/en-US/docs/Web/CSS/border-top-width)             | borderTopWidth       |
| [border-width](/en-US/docs/Web/CSS/border-width)                     | borderWidth          |
| [clear](/en-US/docs/Web/CSS/clear)                                   | clear                |
| [clip](/en-US/docs/Web/CSS/clip)                                     | clip                 |
| [color](/en-US/docs/Web/CSS/color)                                   | color                |
| [cursor](/en-US/docs/Web/CSS/cursor)                                 | cursor               |
| [display](/en-US/docs/Web/CSS/display)                               | display              |
| [filter](/en-US/docs/Web/CSS/filter)                                 | filter               |
| [float](/en-US/docs/Web/CSS/float)                                   | cssFloat             |
| [font](/en-US/docs/Web/CSS/font)                                     | font                 |
| [font-family](/en-US/docs/Web/CSS/font-family)                       | fontFamily           |
| [font-size](/en-US/docs/Web/CSS/font-size)                           | fontSize             |
| [font-variant](/en-US/docs/Web/CSS/font-variant)                     | fontVariant          |
| [font-weight](/en-US/docs/Web/CSS/font-weight)                       | fontWeight           |
| [height](/en-US/docs/Web/CSS/height)                                 | height               |
| [left](/en-US/docs/Web/CSS/left)                                     | left                 |
| [letter-spacing](/en-US/docs/Web/CSS/letter-spacing)                 | letterSpacing        |
| [line-height](/en-US/docs/Web/CSS/line-height)                       | lineHeight           |
| [list-style](/en-US/docs/Web/CSS/list-style)                         | listStyle            |
| [list-style-image](/en-US/docs/Web/CSS/list-style-image)             | listStyleImage       |
| [list-style-position](/en-US/docs/Web/CSS/list-style-position)       | listStylePosition    |
| [list-style-type](/en-US/docs/Web/CSS/list-style-type)               | listStyleType        |
| [margin](/en-US/docs/Web/CSS/margin)                                 | margin               |
| [margin-bottom](/en-US/docs/Web/CSS/margin-bottom)                   | marginBottom         |
| [margin-left](/en-US/docs/Web/CSS/margin-left)                       | marginLeft           |
| [margin-right](/en-US/docs/Web/CSS/margin-right)                     | marginRight          |
| [margin-top](/en-US/docs/Web/CSS/margin-top)                         | marginTop            |
| [overflow](/en-US/docs/Web/CSS/overflow)                             | overflow             |
| [padding](/en-US/docs/Web/CSS/padding)                               | padding              |
| [padding-bottom](/en-US/docs/Web/CSS/padding-bottom)                 | paddingBottom        |
| [padding-left](/en-US/docs/Web/CSS/padding-left)                     | paddingLeft          |
| [padding-right](/en-US/docs/Web/CSS/padding-right)                   | paddingRight         |
| [padding-top](/en-US/docs/Web/CSS/padding-top)                       | paddingTop           |
| [page-break-after](/en-US/docs/Web/CSS/page-break-after)             | pageBreakAfter       |
| [page-break-before](/en-US/docs/Web/CSS/page-break-before)           | pageBreakBefore      |
| [position](/en-US/docs/Web/CSS/position)                             | position             |
| [stroke-dasharray](/en-US/docs/Web/SVG/Attribute/stroke-dasharray)   | strokeDasharray      |
| [stroke-dashoffset](/en-US/docs/Web/SVG/Attribute/stroke-dashoffset) | strokeDashoffset     |
| [text-align](/en-US/docs/Web/CSS/text-align)                         | textAlign            |
| [text-decoration](/en-US/docs/Web/CSS/text-decoration)               | textDecoration       |
| [text-indent](/en-US/docs/Web/CSS/text-indent)                       | textIndent           |
| [text-transform](/en-US/docs/Web/CSS/text-transform)                 | textTransform        |
| [top](/en-US/docs/Web/CSS/top)                                       | top                  |
| [vertical-align](/en-US/docs/Web/CSS/vertical-align)                 | verticalAlign        |
| [visibility](/en-US/docs/Web/CSS/visibility)                         | visibility           |
| [width](/en-US/docs/Web/CSS/width)                                   | width                |
| [z-index](/en-US/docs/Web/CSS/z-index)                               | zIndex               |
