---
title: Cookbook template
slug: Web/CSS/Layout_cookbook/Contribute_a_recipe/Cookbook_template
tags:
  - CSS
  - Contribute
  - Guide
  - Layout
  - Template
  - cookbook
  - recipes
---
{{CSSRef}}

> **Note:** This is a template page for a CSS Cookbook page. Please use this as a raw template when you create a new cookbook page.
> _Comment in italics are information about how to use part of the template._

_Description of the problem this recipe solves or the pattern you are demonstrating._

## Requirements

_What does this pattern need to include, or what problems does it need to solve? List that here._

## Recipe

_Change the path to the example below to point to your merged example. The last parameter is the live example height, which you can change as needed._

{{EmbedGHLiveSample("css-examples/css-cookbook/center.html", '100%', 720)}}

_Change the link to point to your merged download version._

[Download the example](https://github.com/mdn/css-examples/blob/master/css-cookbook/center--download.html)

## Choices made

_Explain your decisions when creating the pattern. Why did you choose a certain method? If you want to add an additional example here — for example a version with fallbacks, please do. This section is deliberately loose as patterns range from the very simple to more complex._

## Useful fallbacks or alternative methods

_If there are useful alternative methods for building the recipe, or fallback recipes to use if you have to support non-supporting browsers, include them in separate sections down here._

## Accessibility concerns

_Include this is there are any specific things to watch out for in regard to accessibility. If not relevant for your pattern this can be omitted._

## Browser compatibility

The various layout methods have different browser support. See the charts below for details on basic support for the properties used.

_Include the compat data for key properties you used, as in the example below which includes align-items._

### align-items

{{Compat("css.properties.align-items")}}

## See also

- _Links of link of related properties: {{Cssxref("example-property")}}_
- _Links to article showing how to use the property in context: "Using … article"_
- _Very good external links. Don't be afraid of external links, but they should be outstanding, and not only mention minor details._
