---
title: HTML reference
slug: Web/HTML/Reference
tags:
  - HTML
  - Landing
  - Reference
  - Web
---

{{HTMLSidebar}}

This [HTML](/en-US/docs/Web/HTML) reference describes all **elements** and **attributes** of HTML, including **global attributes** that apply to all elements.

- [HTML element reference](/en-US/docs/Web/HTML/Element)
  - : This page lists all the HTML elements, which are created using tags.
- [HTML attribute reference](/en-US/docs/Web/HTML/Attributes)
  - : Elements in HTML have attributes; these are additional values that configure the elements or adjust their behavior in various ways to meet the criteria the users want.
- [Global attributes](/en-US/docs/Web/HTML/Global_attributes)
  - : Global attributes are attributes common to all HTML elements; they can be used on all elements, though they may have no effect on some elements.
- [Link types](/en-US/docs/Web/HTML/Link_types)
  - : In HTML, the following link types indicate the relationship between two documents, in which one links to the other using an {{HTMLElement("a")}}, {{HTMLElement("area")}}, or {{HTMLElement("link")}} element.
- [Content Categories](/en-US/docs/Web/Guide/HTML/Content_categories)
  - : Every HTML element is a member of one or more content categories — these categories group elements that share common characteristics.
- [Date and time formats used in HTML](/en-US/docs/Web/HTML/Date_and_time_formats)
  - : Certain HTML elements allow you to specify dates and/or times as the value or as the value of an attribute. These include the date and time variations of the {{HTMLElement("input")}} element as well as the {{HTMLElement("ins")}} and {{HTMLElement("del")}} elements.
