---
title: Multiplication (*)
slug: Web/JavaScript/Reference/Operators/Multiplication
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
browser-compat: javascript.operators.multiplication
---
{{jsSidebar("Operators")}}

The multiplication operator (`*`) produces the product of the operands.

{{EmbedInteractiveExample("pages/js/expressions-multiplication.html")}}

## Syntax

```js
x * y
```

## Examples

### Multiplication using numbers

```js
 2 * 2      // 4
-2 * 2     // -4
```

### Multiplication with Infinity

```js
Infinity * 0         // NaN
Infinity * Infinity  // Infinity
```

### Multiplication with non-numbers

```js
'foo' * 2 // NaN
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Addition
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Addition)
- [Subtraction
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Subtraction)
- [Division
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Division)
- [Remainder
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Remainder)
- [Exponentiation
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Exponentiation)
- [Increment
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Increment)
- [Decrement
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Decrement)
- [Unary
  negation operator](/en-US/docs/Web/JavaScript/Reference/Operators/Unary_negation)
- [Unary plus
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Unary_plus)
