---
title: JavaScript shells
slug: Web/JavaScript/Shells
tags:
  - Extensions
  - Guide
  - JavaScript
  - Tools
---
{{JsSidebar}}

A JavaScript shell allows you to quickly test snippets of [JavaScript](/en-US/docs/Web/JavaScript) code without having to reload a web page. They are extremely useful for developing and debugging code.

## Standalone JavaScript shells

The following JavaScript shells are stand-alone environments, like Perl or Python.

- [Node.js](https://nodejs.org/) - Node.js is a platform for easily building fast, scalable network applications.
- [GraalJS](https://www.graalvm.org/) - A high performance implementation of the JavaScript programming language. Built on the GraalVM by Oracle Labs.
- [ShellJS](https://github.com/shelljs/shelljs) - Portable Unix shell commands for Node.js

## List of JavaScript shells

The following JavaScript shells work with Mozilla.

- Firefox has a [built-in JavaScript console](/en-US/docs/Tools/Web_Console/The_command_line_interpreter), which support multi-line editing.
- [Babel REPL](https://babeljs.io/repl) - A browser-based [REPL](https://en.wikipedia.org/wiki/REPL) for experimenting with future JavaScript.
- [ES6Console.com](https://es6console.com) - An open-source JavaScript console to test ECMAScript 2015 code inside the browser.
- [jsconsole.com](https://jsconsole.com/) -- An open-source JavaScript console with the ability to easily link to particular expressions
