---
title: Functions
slug: Web/XPath/Functions
tags:
  - Transforming_XML_with_XSLT
  - XPath
  - XPath_Reference
  - XSLT
  - XSLT_Reference
---
{{ XsltRef() }} The following is an annotated list of core [XPath](/en-US/docs/Web/XPath) functions and [XSLT](/en-US/XSLT)-specific additions to XPath, including a description, syntax, a list of arguments, result-type, source in the appropriate W3C Recommendation. For further information on using XPath/XSLT functions, please see the [For Further Reading](/en-US/docs/Web/XSLT/Transforming_XML_with_XSLT) page.

- [boolean()](/en-US/docs/Web/XPath/Functions/boolean)
- [ceiling()](/en-US/docs/Web/XPath/Functions/ceiling)
- [choose()](/en-US/docs/Web/XPath/Functions/choose)
- [concat()](/en-US/docs/Web/XPath/Functions/concat)
- [contains()](/en-US/docs/Web/XPath/Functions/contains)
- [count()](/en-US/docs/Web/XPath/Functions/count)
- [current()](/en-US/docs/Web/XPath/Functions/current) _XSLT-specific_
- [document()](/en-US/docs/Web/XPath/Functions/document) _XSLT-specific_
- [element-available()](/en-US/docs/Web/XPath/Functions/element-available)
- [false()](/en-US/docs/Web/XPath/Functions/false)
- [floor()](/en-US/docs/Web/XPath/Functions/floor)
- [format-number()](/en-US/docs/Web/XPath/Functions/format-number) _XSLT-specific_
- [function-available()](/en-US/docs/Web/XPath/Functions/function-available)
- [generate-id()](/en-US/docs/Web/XPath/Functions/generate-id) _XSLT-specific_
- [id()](/en-US/docs/Web/XPath/Functions/id)
- [key()](/en-US/docs/Web/XPath/Functions/key) _XSLT-specific_
- [lang()](/en-US/docs/Web/XPath/Functions/lang)
- [last()](/en-US/docs/Web/XPath/Functions/last)
- [local-name()](/en-US/docs/Web/XPath/Functions/local-name)
- [name()](/en-US/docs/Web/XPath/Functions/name)
- [namespace-uri()](/en-US/docs/Web/XPath/Functions/namespace-uri)
- [normalize-space()](/en-US/docs/Web/XPath/Functions/normalize-space)
- [not()](/en-US/docs/Web/XPath/Functions/not)
- [number()](/en-US/docs/Web/XPath/Functions/number)
- [position()](/en-US/docs/Web/XPath/Functions/position)
- [round()](/en-US/docs/Web/XPath/Functions/round)
- [starts-with()](/en-US/docs/Web/XPath/Functions/starts-with)
- [string()](/en-US/docs/Web/XPath/Functions/string)
- [string-length()](/en-US/docs/Web/XPath/Functions/string-length)
- [substring()](/en-US/docs/Web/XPath/Functions/substring)
- [substring-after()](/en-US/docs/Web/XPath/Functions/substring-after)
- [substring-before()](/en-US/docs/Web/XPath/Functions/substring-before)
- [sum()](/en-US/docs/Web/XPath/Functions/sum)
- [system-property()](/en-US/docs/Web/XPath/Functions/system-property) _XSLT-specific_
- [translate()](/en-US/docs/Web/XPath/Functions/translate)
- [true()](/en-US/docs/Web/XPath/Functions/true)
- [unparsed-entity-url()](/en-US/docs/Web/XPath/Functions/unparsed-entity-url) _XSLT-specific_

{{QuickLinksWithSubpages("/en-US/docs/Web/XPath")}}
