---
title: 'XSLT: Extensible Stylesheet Language Transformations'
slug: Web/XSLT
tags:
  - Landing
  - Web
  - XSLT
---
{{XSLTRef}}

<div id="Quick_links"><ol><li><strong><a href="/en-US/docs/Web/XSLT">XSLT</a></strong></li><li><strong><a href="/en-US/docs/Web/EXSLT">EXSLT</a></strong></li><li><strong><a href="/en-US/docs/Web/XPath">XPath</a></strong></li><li class="toggle"><details open><summary>Guides</summary><ol><li><a href="/en-US/docs/Web/XSLT/Common_errors">Common XSLT Errors</a></li><li><a href="/en-US/docs/Web/XSLT/PI_Parameters">PI Parameters</a></li><li><a href="/en-US/docs/Web/XSLT/XSLT_JS_interface_in_Gecko">The XSLT/JavaScript Interface in Gecko</a></li><li><a href="/en-US/docs/Web/XSLT/Transforming_XML_with_XSLT">Transforming XML with XSLT</a></li><li><a href="/en-US/docs/Web/XSLT/Using_the_Mozilla_JavaScript_interface_to_XSL_Transformations">Using the Mozilla JavaScript interface to XSL Transformations</a></li></ol></details></li><li class="toggle"><details open><summary><a href="/en-US/docs/XSLT/Element">XSLT Elements</a></summary>{{ListSubpagesForSidebar("/en-US/docs/Web/XSLT/Element", "", "", "&lt;xsl:", "&gt;")}}</details></li></ol></div>

**Extensible Stylesheet Language Transformations (XSLT)** is an [XML](/en-US/docs/Web/XML/XML_introduction)-based language used, in conjunction with specialized processing software, for the transformation of XML documents.

Although the process is referred to as "transformation," the original document is not changed; rather, a new XML document is created based on the content of an existing document. Then, the new document may be serialized (output) by the processor in standard XML syntax or in another format, such as [HTML](/en-US/docs/Web/HTML) or plain text.

XSLT is most often used to convert data between different XML schemas or to convert XML data into web pages or PDF documents.

## Documentation

- [XSLT Element Reference](/en-US/docs/Web/XSLT/Element)
  - : Reference.
- [Transforming XML with XSLT](/en-US/docs/Web/XSLT/Transforming_XML_with_XSLT)
  - : XSLT allows a stylesheet author to transform a primary XML document in two significant ways: manipulating and sorting the content, including a wholesale reordering of it if so desired, and transforming the content into a different format.
- [Using the Mozilla JavaScript interface to XSL Transformations](/en-US/docs/Web/XSLT/Using_the_Mozilla_JavaScript_interface_to_XSL_Transformations)
  - : This document describes the JavaScript interface to the XSLT processing engine in Mozilla 1.2 and up.
- [Specifying parameters using processing instructions](/en-US/docs/Web/XSLT/PI_Parameters)
  - : Firefox allows stylesheet parameters to be specified when using the `<?xml-stylesheet?>` processing instruction. This is done using the `<?xslt-param?>` PI described in this document.
- [XSLT Tutorial](https://www.w3schools.com/xml/xsl_intro.asp)
  - : This [W3Schools](https://www.w3schools.com) tutorial teaches the reader how to use XSLT to transform XML documents into other formats, like XHTML.
- [What is XSLT?](https://www.xml.com/pub/a/2000/08/holman/)
  - : This extensive introduction to XSLT and XPath assumes no prior knowledge of the technologies and guides the reader through background, context, structure, concepts and introductory terminology.
- [Common XSLT Errors](/en-US/docs/Web/XSLT/Common_errors)
  - : This article lists some common problems using XSLT in Firefox.

## Related Topics

- [XML](/en-US/docs/Web/XML/XML_introduction), [XPath](/en-US/docs/Web/XPath)
