---
title: For Further Reading
slug: Web/XSLT/Transforming_XML_with_XSLT/For_Further_Reading
tags:
  - NeedsContent
  - NeedsHelp
  - Transforming_XML_with_XSLT
  - XML
  - XSLT
---
[« Transforming XML with XSLT](/en-US/docs/Web/XSLT/Transforming_XML_with_XSLT)

## Print

### Books

- **XSLT: Programmer's Reference, Second Edition**

  - **Author**: Michael H. Kay
  - **Length**: 992 pages
  - **Publisher**: Wrox; 2 edition (May 3, 2001)
  - **ISBN**: 0764543814

    - Michael Kay is a member of the W3C XSL Working Group and the developer of his own open-source XSLT processor, Saxon. He is also the author of the only book on this subject to have reached a second edition. This is a very big book, well laid out, and exhaustive, if sometimes exhausting, in detail, covering every possible base in the XSLT story.

<https://www.amazon.com/XSLT-Programmers-Reference-Programmer/dp/0764543814>

- **XSLT**

  - **Author**: Doug Tidwell
  - **Length**: 473 pages
  - **Publisher**: O'Reilly Media; 1 edition (August 15, 2001)
  - **ISBN**: 0596000537

    - Doug Tidwell is a senior developer at IBM and a prominent evangelist for XML technologies generally. He is the author of several articles and tutorials on various aspects of XML at IBM's extensive XML developer site. This book is somewhat less comprehensive than Michael Kay's, but it covers the basics well, and offers some intriguing examples.

<https://www.amazon.com/Xslt-Doug-Tidwell/dp/0596000537>

- **Learning XML, Second Edition**

  - **Author**: Erik T. Ray
  - **Length**: 432 pages
  - **Publisher**: O'Reilly Media; 2 edition (September 22, 2003)
  - **ISBN**: 0596004206

    - As the title indicates, this is an overview of XML generally. Chapter 6 is devoted specifically to XSLT.

<https://www.amazon.com/gp/product/0596004206>

## Digital

### Websites

- **World Wide Web Consortium**

  - **The W3C homepage**: <https://www.w3.org>
  - **The main XSL page**: <https://www.w3.org/Style/XSL/>
  - **XSLT specifications overview**: <https://www.w3.org/TR/xslt/>
  - **Archive of public style (CSS and XSLT) discussions**: [https://lists.w3.org/Archives/Public/www-style/](http://lists.w3.org/Archives/Public/www-style/)
  - **XPath specifications overview**: <https://www.w3.org/TR/xpath/>

    - The World Wide Web Consortium is the body that publishes Recommendations for a number of web-based technologies, many of which become the de-facto standard.

### Articles

- **Hands-on XSL**

  - **Author**: Don R. Day
  - **Location**: <https://www.ibm.com/developerworks/library/x-hands-on-xsl/>

<!---->

- **What is XSLT?**

  - **Author**: G. Ken Holman
  - **Location**: <https://www.xml.com/pub/a/2000/08/holman/index.html>

### Tutorials/Examples

- **Jeni's XSLT Pages**

  - **Index**: <https://www.jenitennison.com/xslt/>

<!---->

- **XMLPitstop.com**

  - **StyleSheet Center**: <https://www.xmlpitstop.com/default_datatype_SSC.html>

<!---->

- **XSL Tutorial**

  - **Index**: <https://nwalsh.com/docs/tutorials/xsl/>

### Other

- **Cover Pages**

  - **Extensible Stylesheet Language (XSL)**: <http://xml.coverpages.org/xsl.html>

<!---->

- **XSL-List**

  - **Subscribe**: <https://www.mulberrytech.com/xsl/xsl-list/index.html>
  - **Archives**: <https://www.biglist.com/lists/xsl-list/archives/>

    - The XSL-List is a very active general mailing list, hosted by [Mulberry Technologies](http://mulberrytech.com/)

<!---->

- **mozilla.dev.tech.xslt**

  - **Google Groups**: <https://groups.google.com/g/mozilla.dev.tech.xslt>

    - This is a newsgroup that discusses Netscape-specific XSLT issues.
